Bug 1252971 - Keyboard events sent to non-focus firefox window
Keyboard events sent to non-focus firefox window
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
22
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-12 11:37 EDT by Adam Chasen
Modified: 2016-07-19 13:29 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:29:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
keyboard events to out of focus window (485.08 KB, video/mp4)
2015-08-12 11:37 EDT, Adam Chasen
no flags Details
strace of when clicking and typing into second window (4.27 MB, text/plain)
2015-09-14 10:36 EDT, Adam Chasen
no flags Details

  None (edit)
Description Adam Chasen 2015-08-12 11:37:01 EDT
Created attachment 1062066 [details]
keyboard events to out of focus window

Description of problem:
Haven't figured out what triggers the behavior, but occasionally keyboard events for one of my Firefox windows get sent to a different firefox window. Typing puts text in the last selected area of the non-focus window even after selecting an element on the in-focus window. Same goes for firefox commands (i.e. new/close tab).

Please see attached video for a demonstration.

Version-Release number of selected component (if applicable):
firefox-39.0-8.fc22.x86_64
As I was filing this ticket I noticed 39.0.3-1.fc22 is available. Figured I would file anyways. Will update if I see the behavior again.

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:
Comment 1 Adam Chasen 2015-08-24 11:00:35 EDT
Steps to Reproduce:
1. Open three separate Firefox windows
2. Open Google Chrome
3. Focus on one firefox window
4. Click to google chrome
5. Click to *different* firefox window than step 3
6. Keyboard events sent to window which had focus in step 3
Comment 2 Adam Chasen 2015-08-24 11:05:43 EDT
replicated on firefox-40.0-4.fc22.x86_64
Comment 3 Adam Chasen 2015-08-24 13:50:06 EDT
after closing session and re-opening, this is no longer happening. I cannot reliably reproduce.
Comment 4 Adam Chasen 2015-08-25 09:20:33 EDT
reproduced with fresh profile. Three firefox windows, no external windows involved.
Comment 5 Adam Chasen 2015-08-25 16:57:25 EDT
reproduced in --safe-mode with two windows.

Need third window to workaround the issue. Once I create a third window and switch the cursor to it, keyboard events will go to the window in focus again.
Comment 6 Martin Stransky 2015-08-26 07:55:06 EDT
So do I need a Google chrome to reproduce it or can I reproduce it with a different application?
Comment 7 Adam Chasen 2015-08-26 13:39:17 EDT
No chrome necessary. I was able to reproduce just switching back and forth between two firefox windows. Still not sure how to trigger this though. I downloaded firefox beta tarball and am using 41.0b4 in hopes of not experiencing this issue. If not, I will do a fresh install of fedora 22 (I fedup from F21) and see if I can replicate.

I have only been using the beta for a few hours and have not experienced this issue yet.
Comment 8 Adam Chasen 2015-08-31 14:24:04 EDT
Experienced the same issue on a fresh install of Fedora 22 
firefox-40.0.3-1.fc22.x86_64

Still have not seen the behavior in FF beta or FF 42 (developer edition)
Comment 9 Adam Chasen 2015-09-08 13:19:17 EDT
This is much less common now, but I also see this behavior in 42.0a2 (2015-09-08)
Comment 10 Adam Chasen 2015-09-14 10:36:21 EDT
Created attachment 1073277 [details]
strace of when clicking and typing into second window

I am seeing this a bit more often now. Is there any advice for steps I can do to help debug? Attached is an strace of a few seconds of when I experienced this. I typed "window 1", clicked on the other window, typed "window 2" The "window 2" showed in the original (not clicked) window.
Comment 11 Fedora End Of Life 2016-07-19 13:29:22 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.